eric ide

Issue384

Classification
Title: Unable to run "Code Style" on modules and packages
Type: behavior Product: eric6
Process
Priority: normal    
Status: closed Resolution: fixed
Superseder: Nosy List: Qb, detlev
Assigned to: Keywords:

Created on 2021-04-05.07:29:39 by Qb, last changed by Qb.

Messages (3.0)
msg1463 (view) Author: Qb Date: 2021-04-15.09:16:12
Thank you for your help.
msg1453 (view) Author: detlev Date: 2021-04-14.15:35:34
Fixed with changeset 695777f04b25. Will be part of release 21.5.
msg1446 (view) Author: Qb Date: 2021-04-05.07:29:38
Hi,

I am dealing with an error when running "Code Style" both in individual modules or packages.

When "Code Style" is run in a module, almost every time, raises an error saying: "The background client for Python3 has stopped due to an exception [etc]".

If it is run in a package (from "Project-Viewer"), no error is raised but it stuck during "Data transferring". If IDE is re-start, you must force quit. On the contrary, if IDE is simply quit, it quits without any problem.


The log says:

--------------------------------------------------------------------------------
2021-04-05, 08:55:53
--------------------------------------------------------------------------------
<class 'AttributeError'>: 
'Name' object has no attribute 'value'
--------------------------------------------------------------------------------
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Utilities/BackgroundClient.py", line 193, in run
    ret = callback(fn, *data)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Plugins/CheckerPlugins/CodeStyleChecker/CodeStyleChecker.py", line 187, in codeStyleCheck
    return __checkCodeStyle(filename, source, args)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Plugins/CheckerPlugins/CodeStyleChecker/CodeStyleChecker.py", line 426, in __checkCodeStyle
    annotationsChecker.run()
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Plugins/CheckerPlugins/CodeStyleChecker/Annotations/AnnotationsChecker.py", line 186, in run
    check()
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Plugins/CheckerPlugins/CodeStyleChecker/Annotations/AnnotationsChecker.py", line 248, in __checkAnnotationComplexity
    complexity = getAnnotationComplexity(annotation)
  File "/opt/local/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/site-packages/eric6/Plugins/CheckerPlugins/CodeStyleChecker/Annotations/AnnotationsChecker.py", line 461, in getAnnotationComplexity
    return 1 + getAnnotationComplexity(annotationNode.slice.value)

--------------------------------------------------------------------------------
Version Numbers:
  Python 3.9.3, 64-Bit
  Qt 5.15.2
  PyQt 5.15.4
  PyQtChart 5.15.2
  PyQtWebEngine 5.15.2
  QScintilla 2.11.6
  sip 4.19.25
  WebEngine 83.0.4103.122
  eric6 21.4 (rev. fb0ef164f536)

Platform: darwin
3.9.3 (default, Apr  3 2021, 05:51:44) 
[Clang 10.0.1 (clang-1001.0.46.4)]
--------------------------------------------------------------------------------
Plugins Version Numbers:
  PluginAbout 21.4
  PluginApis 3.0.1
  PluginCodeStyleChecker 21.4
  PluginColorString 3.1.0
  PluginCxFreeze 7.1.0
  PluginDocumentationSets 2.0.0
  PluginEricapi 21.4
  PluginEricdoc 21.4
  PluginMetricsRadon 3.0.2
  PluginProjectDjango 6.1.0
  PluginProjectKivy 3.0.0
  PluginPyInstaller 2.1.0
  PluginPyLint 7.1.2
  PluginPySide2PyQt 3.0.0
  PluginRefactoringRope 7.3.2
  PluginSelectionEncloser 3.1.0
  PluginSplitMergeCamelCase 3.0.0
  PluginSyntaxChecker 21.4
  PluginToolPip 1.6.3
  PluginTranslator 21.4
  PluginVcsGit 21.4
  PluginVcsMercurial 21.4
  PluginVcsPySvn 21.4
  PluginVcsSubversion 21.4
  PluginVmListspace 21.4
  PluginVmTabview 21.4
  PluginVulture 3.1.1
  PluginWizardDotDesktop 21.4
  PluginWizardE5MessageBox 21.4
  PluginWizardEricPlugin 21.4
  PluginWizardPyRegExp 21.4
  PluginWizardQColorDialog 21.4
  PluginWizardQFileDialog 21.4
  PluginWizardQFontDialog 21.4
  PluginWizardQInputDialog 21.4
  PluginWizardQMessageBox 21.4
  PluginWizardQRegularExpression 21.4
  PluginWizardSetup 21.4


Is anything wrong in my installation? 

Thank you.
History
Date User Action Args
2021-04-15 09:16:12Qbsetmessage_count: 2.0 -> 3.0
messages: + msg1463
2021-04-14 15:35:34detlevsetstatus: open -> closed
resolution: fixed
messages: + msg1453
message_count: 1.0 -> 2.0
nosy: + detlev
2021-04-14 15:35:02detlevsetstatus: new -> open
2021-04-05 07:29:39Qbcreate